<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<!-- Additional documentation for the optim package for Octave.

Copyright (C) Olaf Till <i7tiol@t-online.de>

You can redistribute this documentation and/or modify it under the terms
of the GNU General Public License as published by the Free Software
Foundation; either version 3 of the License, or (at your option) any
later version.

This documentation is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
Public License for more details.

You should have received a copy of the GNU General Public License along
with this documentation; if not, see <http://www.gnu.org/licenses/>. -->
<!-- Created by GNU Texinfo 6.3, http://www.gnu.org/software/texinfo/ -->
<head>
<title>optim_doc: Function index</title>

<meta name="description" content="optim_doc: Function index">
<meta name="keywords" content="optim_doc: Function index">
<meta name="resource-type" content="document">
<meta name="distribution" content="global">
<meta name="Generator" content="makeinfo">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link href="index.html#Top" rel="start" title="Top">
<link href="#Function-index" rel="index" title="Function index">
<link href="index.html#Top" rel="up" title="Top">
<link href="Concept-index.html#Concept-index" rel="next" title="Concept index">
<link href="Additional-parameters.html#Additional-parameters" rel="prev" title="Additional parameters">
<style type="text/css">
<!--
a.summary-letter {text-decoration: none}
blockquote.indentedblock {margin-right: 0em}
blockquote.smallindentedblock {margin-right: 0em; font-size: smaller}
blockquote.smallquotation {font-size: smaller}
div.display {margin-left: 3.2em}
div.example {margin-left: 3.2em}
div.lisp {margin-left: 3.2em}
div.smalldisplay {margin-left: 3.2em}
div.smallexample {margin-left: 3.2em}
div.smalllisp {margin-left: 3.2em}
kbd {font-style: oblique}
pre.display {font-family: inherit}
pre.format {font-family: inherit}
pre.menu-comment {font-family: serif}
pre.menu-preformatted {font-family: serif}
pre.smalldisplay {font-family: inherit; font-size: smaller}
pre.smallexample {font-size: smaller}
pre.smallformat {font-family: inherit; font-size: smaller}
pre.smalllisp {font-size: smaller}
span.nolinebreak {white-space: nowrap}
span.roman {font-family: initial; font-weight: normal}
span.sansserif {font-family: sans-serif; font-weight: normal}
ul.no-bullet {list-style: none}
-->
</style>


</head>

<body lang="en">
<a name="Function-index"></a>
<div class="header">
<p>
Next: <a href="Concept-index.html#Concept-index" accesskey="n" rel="next">Concept index</a>, Previous: <a href="Additional-parameters.html#Additional-parameters" accesskey="p" rel="prev">Additional parameters</a>, Up: <a href="index.html#Top" accesskey="u" rel="up">Top</a> &nbsp; [<a href="#Function-index" title="Index" rel="index">Index</a>]</p>
</div>
<hr>
<a name="Index-of-functions-in-optim"></a>
<h2 class="unnumbered">Index of functions in optim</h2>

<table><tr><th valign="top">Jump to: &nbsp; </th><td><a class="summary-letter" href="#Function-index_mfn_letter-A"><b>A</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-B"><b>B</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-C"><b>C</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-D"><b>D</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-E"><b>E</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-F"><b>F</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-G"><b>G</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-J"><b>J</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-L"><b>L</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-M"><b>M</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-N"><b>N</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-O"><b>O</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-P"><b>P</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-Q"><b>Q</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-R"><b>R</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-V"><b>V</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-W"><b>W</b></a>
 &nbsp; 
</td></tr></table>
<table class="index-mfn" border="0">
<tr><td></td><th align="left">Index Entry</th><td>&nbsp;</td><th align="left"> Section</th></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-A">A</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="adsmax.html#index-adsmax"><code>adsmax</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="adsmax.html#adsmax">adsmax</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-B">B</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="battery.html#index-battery"><code>battery</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="battery.html#battery">battery</a></td></tr>
<tr><td></td><td valign="top"><a href="bfgsmin.html#index-bfgsmin"><code>bfgsmin</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="bfgsmin.html#bfgsmin">bfgsmin</a></td></tr>
<tr><td></td><td valign="top"><a href="brent_005fline_005fmin.html#index-brent_005fline_005fmin-1"><code>brent_line_min</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="brent_005fline_005fmin.html#brent_005fline_005fmin">brent_line_min</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-C">C</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="cdiff.html#index-cdiff"><code>cdiff</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="cdiff.html#cdiff">cdiff</a></td></tr>
<tr><td></td><td valign="top"><a href="cg_005fmin.html#index-cg_005fmin-1"><code>cg_min</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="cg_005fmin.html#cg_005fmin">cg_min</a></td></tr>
<tr><td></td><td valign="top"><a href="cpiv_005fbard.html#index-cpiv_005fbard"><code>cpiv_bard</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="cpiv_005fbard.html#cpiv_005fbard">cpiv_bard</a></td></tr>
<tr><td></td><td valign="top"><a href="curvefit_005fstat.html#index-curvefit_005fstat-1"><code>curvefit_stat</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="curvefit_005fstat.html#curvefit_005fstat">curvefit_stat</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-D">D</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="deriv.html#index-deriv-4"><code>deriv</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="deriv.html#deriv">deriv</a></td></tr>
<tr><td></td><td valign="top"><a href="de_005fmin.html#index-de_005fmin"><code>de_min</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="de_005fmin.html#de_005fmin">de_min</a></td></tr>
<tr><td></td><td valign="top"><a href="dfpdp.html#index-dfpdp"><code>dfpdp</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="dfpdp.html#dfpdp">dfpdp</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-E">E</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="expfit.html#index-expfit"><code>expfit</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="expfit.html#expfit">expfit</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-F">F</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="fmincon.html#index-fmincon-8"><code>fmincon</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="fmincon.html#fmincon">fmincon</a></td></tr>
<tr><td></td><td valign="top"><a href="fmins.html#index-fmins-1"><code>fmins</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="fmins.html#fmins">fmins</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-G">G</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="gjp.html#index-gjp"><code>gjp</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="gjp.html#gjp">gjp</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-J">J</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="jacobs.html#index-jacobs-2"><code>jacobs</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="jacobs.html#jacobs">jacobs</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-L">L</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="leasqr.html#index-leasqr-8"><code>leasqr</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="leasqr.html#leasqr">leasqr</a></td></tr>
<tr><td></td><td valign="top"><a href="LinearRegression.html#index-LinearRegression-3"><code>LinearRegression</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="LinearRegression.html#LinearRegression">LinearRegression</a></td></tr>
<tr><td></td><td valign="top"><a href="line_005fmin.html#index-line_005fmin"><code>line_min</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="line_005fmin.html#line_005fmin">line_min</a></td></tr>
<tr><td></td><td valign="top"><a href="linprog.html#index-linprog-4"><code>linprog</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="linprog.html#linprog">linprog</a></td></tr>
<tr><td></td><td valign="top"><a href="lsqcurvefit.html#index-lsqcurvefit-5"><code>lsqcurvefit</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="lsqcurvefit.html#lsqcurvefit">lsqcurvefit</a></td></tr>
<tr><td></td><td valign="top"><a href="lsqlin.html#index-lsqlin-5"><code>lsqlin</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="lsqlin.html#lsqlin">lsqlin</a></td></tr>
<tr><td></td><td valign="top"><a href="lsqnonlin.html#index-lsqnonlin-4"><code>lsqnonlin</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="lsqnonlin.html#lsqnonlin">lsqnonlin</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-M">M</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="mdsmax.html#index-mdsmax"><code>mdsmax</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="mdsmax.html#mdsmax">mdsmax</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-N">N</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="nelder_005fmead_005fmin.html#index-nelder_005fmead_005fmin"><code>nelder_mead_min</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nelder_005fmead_005fmin.html#nelder_005fmead_005fmin">nelder_mead_min</a></td></tr>
<tr><td></td><td valign="top"><a href="nlinfit.html#index-nlinfit-4"><code>nlinfit</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nlinfit.html#nlinfit">nlinfit</a></td></tr>
<tr><td></td><td valign="top"><a href="nmsmax.html#index-nmsmax"><code>nmsmax</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nmsmax.html#nmsmax">nmsmax</a></td></tr>
<tr><td></td><td valign="top"><a href="nonlin_005fcurvefit.html#index-nonlin_005fcurvefit-2"><code>nonlin_curvefit</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nonlin_005fcurvefit.html#nonlin_005fcurvefit">nonlin_curvefit</a></td></tr>
<tr><td></td><td valign="top"><a href="nonlin_005fmin.html#index-nonlin_005fmin-2"><code>nonlin_min</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nonlin_005fmin.html#nonlin_005fmin">nonlin_min</a></td></tr>
<tr><td></td><td valign="top"><a href="nonlin_005fresidmin.html#index-nonlin_005fresidmin-2"><code>nonlin_residmin</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nonlin_005fresidmin.html#nonlin_005fresidmin">nonlin_residmin</a></td></tr>
<tr><td></td><td valign="top"><a href="nrm.html#index-nrm-1"><code>nrm</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="nrm.html#nrm">nrm</a></td></tr>
<tr><td></td><td valign="top"><a href="numgradient.html#index-numgradient"><code>numgradient</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="numgradient.html#numgradient">numgradient</a></td></tr>
<tr><td></td><td valign="top"><a href="numhessian.html#index-numhessian"><code>numhessian</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="numhessian.html#numhessian">numhessian</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-O">O</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="Documentation.html#index-optim_005fdoc-2"><code>optim_doc</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="Documentation.html#Documentation">Documentation</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-P">P</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="polyconf.html#index-polyconf"><code>polyconf</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="polyconf.html#polyconf">polyconf</a></td></tr>
<tr><td></td><td valign="top"><a href="polyfitinf.html#index-polyfitinf"><code>polyfitinf</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="polyfitinf.html#polyfitinf">polyfitinf</a></td></tr>
<tr><td></td><td valign="top"><a href="powell.html#index-powell-1"><code>powell</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="powell.html#powell">powell</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-Q">Q</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="quadprog.html#index-quadprog-7"><code>quadprog</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="quadprog.html#quadprog">quadprog</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-R">R</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="residmin_005fstat.html#index-residmin_005fstat-1"><code>residmin_stat</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="residmin_005fstat.html#residmin_005fstat">residmin_stat</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-V">V</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="vfzero.html#index-vfzero-3"><code>vfzero</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="vfzero.html#vfzero">vfzero</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
<tr><th><a name="Function-index_mfn_letter-W">W</a></th><td></td><td></td></tr>
<tr><td></td><td valign="top"><a href="wpolyfit.html#index-wpolyfit-4"><code>wpolyfit</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="wpolyfit.html#wpolyfit">wpolyfit</a></td></tr>
<tr><td></td><td valign="top"><a href="wsolve.html#index-wsolve"><code>wsolve</code></a>:</td><td>&nbsp;</td><td valign="top"><a href="wsolve.html#wsolve">wsolve</a></td></tr>
<tr><td colspan="4"> <hr></td></tr>
</table>
<table><tr><th valign="top">Jump to: &nbsp; </th><td><a class="summary-letter" href="#Function-index_mfn_letter-A"><b>A</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-B"><b>B</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-C"><b>C</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-D"><b>D</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-E"><b>E</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-F"><b>F</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-G"><b>G</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-J"><b>J</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-L"><b>L</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-M"><b>M</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-N"><b>N</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-O"><b>O</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-P"><b>P</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-Q"><b>Q</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-R"><b>R</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-V"><b>V</b></a>
 &nbsp; 
<a class="summary-letter" href="#Function-index_mfn_letter-W"><b>W</b></a>
 &nbsp; 
</td></tr></table>


<hr>
<div class="header">
<p>
Next: <a href="Concept-index.html#Concept-index" accesskey="n" rel="next">Concept index</a>, Previous: <a href="Additional-parameters.html#Additional-parameters" accesskey="p" rel="prev">Additional parameters</a>, Up: <a href="index.html#Top" accesskey="u" rel="up">Top</a> &nbsp; [<a href="#Function-index" title="Index" rel="index">Index</a>]</p>
</div>



</body>
</html>
